#include <stdio.h>
#include <conio.h>
#include <string.h>

void main ()
{
char *p1,*p2,*p3,cadena1[20],cadena2[20],cadena3[40];
int contador;
clrscr();
contador=0;
textcolor(14);
cprintf("Introduzca la frase de la primera cadena: ");
gets(cadena1);
cprintf("\r\nIntroduzca la frase de la segunda cadena: ");
gets(cadena2);
p1=cadena1;
p2=cadena2;
p3=cadena3;
while (*p1 != '\0')
{
	contador=contador+1;
	*p3=*p1;
	p1++;
	p3++;
}
while (*p2 != '\0')
{
	contador=contador+1;
	*p3=*p2;
	p2++;
	p3++;
}
*p3='\0';
cprintf("El numero de palabras es:%d\r\nY la cadena es:%s",contador,cadena3);
getch();
}
